

package gov.va.med.cds.mediator.work;


import gov.va.med.cds.mediator.formatter.ResponseFormatterInterface;


public class FilterInformation
{
    private String filterId;

    private String templateId;

    private String hl7ToVhimFilterTransform;

    private ResponseFormatterInterface responseFormatter;


    public String getFilterId( )
    {
        return filterId;
    }


    public void setFilterId( String filterId )
    {
        this.filterId = filterId;
    }


    public String getTemplateId( )
    {
        return templateId;
    }


    public void setTemplateId( String templateId )
    {
        this.templateId = templateId;
    }


    public String getHl7ToVhimFilterTransform( )
    {
        return hl7ToVhimFilterTransform;
    }


    public void setHl7ToVhimFilterTransform( String hl7ToVhimFilterTransform )
    {
        this.hl7ToVhimFilterTransform = hl7ToVhimFilterTransform;
    }


    public ResponseFormatterInterface getResponseFormatter( )
    {
        return responseFormatter;
    }


    public void setResponseFormatter( ResponseFormatterInterface responseFormatter )
    {
        this.responseFormatter = responseFormatter;
    }
}
